%% Analog Output Test


%%
ao = analogoutput('mcc',0);
addchannel(ao,0);

%%

% queue data for output
t = linspace(0,1,1001);
freq = 50;
data = sin(2*pi*freq*t)+2.5;
putdata(ao,data(1:100)');
start(ao);

% It appears that system sends out
% data at 20 samples per second until
% the queue has emptied.

wait(ao,6); % wait for 6 seconds

%%

imshow('aotest1.png');

%%

% Although the default rate is 20,
% the maximum rate is 100 
disp('SampleRate');
disp(propinfo(ao,'SampleRate'))

%%

set(ao,'SampleRate',100);
putdata(ao,data');
start(ao);
wait(ao,11);

%%

imshow('aotest2.png');

%%

for obj=daqfind
    delete(obj);
end
clear ao ai dio obj


